# DO NOT CHANGE
version: 1
# Bot token. Do not share with anyone ever -> https://discordapp.com/developers/applications/
token: ''
# List of Ids of the users who have bot owner permissions
# **DO NOT ADD PEOPLE YOU DON'T TRUST**
ownerIds: []
# The number of shards that the bot will running on.
# Leave at 1 if you don't know what you're doing.
totalShards: 1
# Login to https://console.cloud.google.com, create a new project, go to APIs & Services -> Library -> YouTube Data API and enable it.
# Then, go to APIs and Services -> Credentials and click Create credentials -> API key.
# Used only for Youtube Data Api (at the moment).
googleApiKey: ''
# Settings for voting system for discordbots. Meant for use on global Nadeko.
votes:
# top.gg votes service url
# This is the url of your instance of the NadekoBot.Votes api
# Example: https://votes.my.cool.bot.com
  topggServiceUrl: ''
  # Authorization header value sent to the TopGG service url with each request
# This should be equivalent to the TopggKey in your NadekoBot.Votes api appsettings.json file
  topggKey: ''
  # discords.com votes service url
# This is the url of your instance of the NadekoBot.Votes api
# Example: https://votes.my.cool.bot.com
  discordsServiceUrl: ''
  # Authorization header value sent to the Discords service url with each request
# This should be equivalent to the DiscordsKey in your NadekoBot.Votes api appsettings.json file
  discordsKey: ''
# Patreon auto reward system settings.
# go to https://www.patreon.com/portal -> my clients -> create client
patreon:
  clientId: 
  accessToken: ''
  refreshToken: ''
  clientSecret: ''
  # Campaign ID of your patreon page. Go to your patreon page (make sure you're logged in) and type "prompt('Campaign ID', window.patreon.bootstrap.creator.data.id);" in the console. (ctrl + shift + i)
  campaignId: ''
# Api key for sending stats to DiscordBotList.
botListToken: ''
# Official cleverbot api key.
cleverbotApiKey: ''
# Redis connection string. Don't change if you don't know what you're doing.
redisOptions: localhost:6379,syncTimeout=30000,responseTimeout=30000,allowAdmin=true,password=
# Database options. Don't change if you don't know what you're doing. Leave null for default values
db:
# Database type. Only sqlite supported atm
  type: sqlite
  # Connection string. Will default to "Data Source=data/NadekoBot.db"
  connectionString: Data Source=data/NadekoBot.db
# Address and port of the coordinator endpoint. Leave empty for default.
# Change only if you've changed the coordinator address or port.
coordinatorUrl: http://localhost:3442
# Api key obtained on https://rapidapi.com (go to MyApps -> Add New App -> Enter Name -> Application key)
rapidApiKey: 
# https://locationiq.com api key (register and you will receive the token in the email).
# Used only for .time command.
locationIqApiKey: 
# https://timezonedb.com api key (register and you will receive the token in the email).
# Used only for .time command
timezoneDbApiKey: 
# https://pro.coinmarketcap.com/account/ api key. There is a free plan for personal use.
# Used for cryptocurrency related commands.
coinmarketcapApiKey: 
# Api key used for Osu related commands. Obtain this key at https://osu.ppy.sh/p/api
osuApiKey: 
# Command and args which will be used to restart the bot.
# Only used if bot is executed directly (NOT through the coordinator)
# placeholders: 
#     {0} -> shard id 
#     {1} -> total shards
# Linux default
#     cmd: dotnet
#     args: "NadekoBot.dll -- {0}"
# Windows default
#     cmd: NadekoBot.exe
#     args: {0}
restartCommand:
  cmd: 
  args: 
